Gecode::Int::TaskProp< Task, PL > Class Template Reference
Other available functionality » Integer propagators

Propagator for tasks More...

`#include <task.hh>`

## Public Member Functions

virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high linear).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)=0
| Propagation function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
Public Member Functions inherited from Gecode::Actor
virtual Actor * | copy (Space &home)=0
| Create copy.
virtual | ~Actor (void)
| To avoid warnings.

## Protected Member Functions

| TaskProp (Home home, TaskArray< Task > &t)
| Constructor for creation.
| TaskProp (Space &home, TaskProp< Task, PL > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

TaskArray< Task > | t
| Tasks.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Detailed Description

template<class Task, class PL>
class Gecode::Int::TaskProp< Task, PL >

Propagator for tasks

Requires

#include <gecode/int/task.hh>
task.hh

Definition at line 424 of file task.hh.

## Constructor & Destructor Documentation

## TaskProp() [1/2]

template<class Task, class PL>

Gecode::Int::TaskProp< Task, PL >::TaskProp | ( | Home | home,
|  | TaskArray< Task > & | t )

inline protected

Constructor for creation.

Definition at line 38 of file prop.hpp.

## TaskProp() [2/2]

template<class Task, class PL>

Gecode::Int::TaskProp< Task, PL >::TaskProp | ( | Space & | home,
|  | TaskProp< Task, PL > & | p )

inline protected

Constructor for cloning p.

Definition at line 45 of file prop.hpp.

## Member Function Documentation

## cost()

template<class Task, class PL>

PropCost Gecode::Int::TaskProp< Task, PL >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as high linear).

Implements Gecode::Propagator.

Definition at line 52 of file prop.hpp.

## reschedule()

template<class Task, class PL>

void Gecode::Int::TaskProp< Task, PL >::reschedule | ( | Space & | home | ) |

virtual

Schedule function.

Implements Gecode::Propagator.

Definition at line 58 of file prop.hpp.

## dispose()

template<class Task, class PL>

size_t Gecode::Int::TaskProp< Task, PL >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Actor.

Reimplemented in Gecode::Int::Cumulative::ManProp< ManTask, Cap, PL >, and Gecode::Int::Cumulative::OptProp< OptTask, Cap, PL >.

Definition at line 64 of file prop.hpp.

## Member Data Documentation

## t

template<class Task, class PL>

TaskArray<Task> Gecode::Int::TaskProp< Task, PL >::t

protected

Tasks.

Definition at line 427 of file task.hh.

The documentation for this class was generated from the following files:

- gecode/int/task.hh
- gecode/int/task/prop.hpp